#ifndef APPLICATION_H
#define APPLICATION_H

/**
	@author Flavio Leitner <flavio.leitner@gmail.com>
*/

#include <qptrlist.h>

#include "rule.h"
#include "weekdays.h"


class Application {
	private:
		bool openned;
		char *name;
		char *config;
		QPtrList<Rule> *weekList[SUNDAY + 1];

	public:

		Application(const char *config);
		~Application();

		int read();
		bool write();


		const char *getName();
		const char *getConfig();
		QPtrList<Rule> *getRules(int weekday);
		bool addRule(int weekday, const char *stimestr, const char *ftimestr);
		bool delRule(int weekday, const char *stimestr, const char *ftimestr);
};

#endif
