#ifndef MYWIN_H
#define MYWIN_H

/**
	@author Flavio Leitner <flavio.leitner@gmail.com>
*/


#include <ksystemtray.h>
#include <kpopupmenu.h>

#include "mwin.h"
#include "filter.h"
#include "tiny.h"
#include "appctl.h"
#include "bwords.h"
#include "bsites.h"

class mywin : public mwin
{
Q_OBJECT
public:
    mywin(QWidget *parent = 0, const char *name = 0);

    ~mywin();

    TinyProxy *tiny;
    AppControl *appctl;
    BSites *bsites;
    BWords *bwords;
    Filter *filter;

public slots:
    void appEnable(int);
    void appSelection(const QString&);
    void appDelRule();
    void appAddRule();
    void appEditRule();
    void proxyEnable(int);
    void siteChanged(int, int);
    void appExit();
    void appProxy(const QString &);
    void appProxyPort(int);
    void deleteSite();
    void insertSite();
    void wordChanged(int, int);
    void insertWord();
    void deleteWord();
    void adminMode();
    void loadBSites();
    void loadBWords();
    void SysMenu(int id);
    void filterEnable(int);
    void fixSize(QShowEvent *e);

private:
    int spopup_proxy;
    KSystemTray *systray;
    KPopupMenu *systmenu;
    bool admMode;
    void _loadAppRules(class Application *app);
    void loadAppRules();
    void loadAppList();
    bool checkTime(const RTime start, const RTime finish);
};

#endif
