#include <qstring.h>
#include "rtime.h"

#define TIMEFMT         "hh:mm"

RTime::RTime(int h, int m)
 : QTime(h, m)
{
}

RTime::RTime(const QString *timestr)
 : QTime()
{
	fromText(timestr);
}


RTime::RTime(const QTime tm)
 : QTime(tm)
{
}


RTime::~RTime()
{
}

const QString RTime::toText()
{
	return toString(TIMEFMT);
}

bool RTime::fromText(const QString *timestr)
{
	bool ret;
	int h;
	int m;
	char *s;
	char *p;

	ret = false;
	s = strdup(timestr->ascii());

	// get hour
	if ((p = strstr(s, ":")) == NULL)
		goto out;
	
	*p = '\0';
	h = atoi(s);
	h = h % 24;

	// get minute
	m = atoi(++p);
	m = m % 60;

	fprintf(stderr, "%d:%d\n", h, m);

	//setHMS (h, m, 0, 0);

out:
	delete s;
	return ret;
}


