#ifndef RULE_H
#define RULE_H

/**
	@author Flavio Leitner <flavio.leitner@gmail.com>
*/


#include <qdatetime.h>
#include "rtime.h"

class Rule {
	private:
		RTime *start;
		RTime *finish;
		char timestr[12]; // "14:40-15:50"

	public:
		Rule(const char *timestr);
		Rule(const char *stimestr, const char *ftimestr);
		~Rule();

		bool operator==(class Rule &b);

		bool setStart(int hour, int min);
		bool setFinish(int hour, int min);

		bool setFinishString(const char *timestr);
		bool setStartString(const char *timestr);

		RTime *getStartTime();
		RTime *getFinishTime();

		const char *getString();
		bool setString(const char *);
};

#endif
