#ifndef TINY_H_
#define TINY_H_

#define TINYPROXYCONF "/etc/tinyproxy/tinyproxy.conf"
#define SIGNATURE "#-*- pcontrol"


class TinyProxy {
	private:
		char *config;

		bool proxyEnabled;
		char *proxy;
		int port;

		void initialize();
		int parseUpstream(const char *line);


	public:
		TinyProxy();
		TinyProxy(char *config);

		~TinyProxy();


		int setProxy(const char *server);
		const char *getProxy();

		int setPort(int portnum);
		int getPort();

		int setProxyEnabled();
		bool isProxyEnabled();
		int setProxyDisabled();

		int writeConfig();
		int readConfig();
		bool restartService();
};

#endif

